Unity History Versions Download And ex2D Compatibility

Recently we received a lot of question regarding ex2D’s compatibility with different Unity Beta version. (Thanks to the never-ending beta that lasts forever ;) I feel like it’s necessary to clear things up here and providing necessary

Our official released version of ex2D on both Asset Store and web store are made for Unity 3.4.2, the last official release of Unity engine. We also provide ex2D beta version for Unity 3.5 beta6 (3.5.0b6) through our mailing list.

If you haven’t subscribe yet, you can click here to get registered.

Since we don’t have a compatible version for Unity 3.5 RC1 or RC2 at the moment, and we are not planning to do so until Unity 3.5 official release. We would beg your pardon and recommend our users to stick with Unity 3.5 beta6 version for now. If you don’t have the install package, I would happily provide the links below:

Unity 3.5 Public Beta (RC1)

Mac OSX

Windows

Unity 3.5 Public Beta (Beta 6)

Mac OSX

Windows

Unity 3.4.2 

Mac OSX

Windows

Unity 3.4.1

Mac OSX

Windows

 

Many thanks to game.ceeger.com to compile a list for Unity history versions download! You can follow the link to get even older version of Unity!

  • Jackrty

    how awesome